# org.apache.hc.client5.http.protocol

## Interfaces

- AuthenticationStrategy
- RedirectStrategy
- UserTokenHandler

## Classes

- HttpClientContext
- RedirectLocations
- RequestAcceptEncoding
- RequestAddCookies
- RequestAuthCache
- RequestClientConnControl
- RequestDefaultHeaders
- RequestExpectContinue
- ResponseContentEncoding
- ResponseProcessCookies

## Exceptions

- CircularRedirectException
- ClientProtocolException
- HttpResponseException
- NonRepeatableRequestException
- RedirectException